<?php

if (!defined('XOOPS_ROOT_PATH')) exit();

/**
 * This is test menu block for control panel of legacy module.
 *
 * [ASSIGN]
 *  No
 * 
 * @package legacy
 */
class Legacy_AdminActionSearch extends XCube_BlockProcedure
{
	function getTitle()
	{
		return "TEST: AdminActionSearch";
	}

	function getEntryIndex()
	{
		return 0;
	}

	function enableCached()
	{
		return false;
	}

	function execute(&$controller,&$user)
	{
	}

	function hasResult()
	{
		return true;
	}

	function &getResult()
	{
		$dmy="dummy";
		return $dmy;
	}

	function getTemplateName()
	{
		return "legacy_admin_block_actionsearch.html";
	}
}

?>